# OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass > Class Template Reference

`#include <transports.h>`

Inheritance diagram for OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >:

[legend]
Collaboration diagram for OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >:
[legend]

## Public Member Functions

OpalListener * | CreateListener (const OpalTransportAddress &address, OpalEndPoint &endpoint, OpalTransportAddress::BindOptions options) const
OpalTransport * | CreateTransport (const OpalTransportAddress &address, OpalEndPoint &endpoint, OpalTransportAddress::BindOptions options) const

### template<class ListenerType, class TransportType, unsigned AltTypeOption, class AltTypeClass>
class OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >

## Member Function Documentation

template<class ListenerType, class TransportType, unsigned AltTypeOption, class AltTypeClass>

OpalListener* OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >::CreateListener | ( | const OpalTransportAddress & | address,
|  | OpalEndPoint & | endpoint,
|  | OpalTransportAddress::BindOptions | options |
| ) |  |  | const`[inline, virtual]`

Implements OpalInternalTransport.

template<class ListenerType, class TransportType, unsigned AltTypeOption, class AltTypeClass>

OpalTransport* OpalInternalIPTransportTemplate< ListenerType, TransportType, AltTypeOption, AltTypeClass >::CreateTransport | ( | const OpalTransportAddress & | address,
|  | OpalEndPoint & | endpoint,
|  | OpalTransportAddress::BindOptions | options |
| ) |  |  | const`[inline, virtual]`

Implements OpalInternalTransport.

The documentation for this class was generated from the following file:

- transports.h